use std::io;
use xml_to_json::XmlDocument;

fn run() -> io::Result<()> {
  let xml_string = "
    <note>
      <to>You</to>
      <from>Me</from>
      <heading>Reminder that</heading>
      <body>You are awesome!</body>
      <indeed><![CDATA[https://https://www.hello.world]]></indeed>
    </note>
  ";

  match XmlDocument::from_string(&xml_string) {
    Ok(document) => {
      println!("{}", document.to_json()?);
    }
    Err(err) => {
      println!("{}", err);
    }
  };

  Ok(())
}

fn main() {
  run().unwrap();
}
